Method: advertisers.reachForecast.retrievePlannableUserInterests

Retrieves Google Audiences (User Interests) available for forecasting.

HTTP request

GET https://displayvideo.googleapis.com/v4/advertisers/{advertiserId}/reachForecast:retrievePlannableUserInterests

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
advertiserId

string (int64 format)

Required. The ID of the advertiser to list plannable user interests for.

Query parameters

Parameters
productCategory

enum (PlannableProductCategory)

Required. The product category to retrieve plannable user interests for.

Request body

The request body must be empty.

Response body

Response for reachForecast.retrievePlannableUserInterests.

If successful, the response body contains data with the following structure:

JSON representation
{
  "plannableUserInterests": [
    {
      object (PlannableUserInterest)
    }
  ]
}
Fields
plannableUserInterests[]

object (PlannableUserInterest)

The list of plannable user interests (Google Audiences).

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.

PlannableUserInterest

A plannable user interest used for targeting.

JSON representation
{
  "userInterestDisplayName": string,
  "userInterestPath": string,
  "userInterestType": string,
  "userInterest": {
    object (UserInterest)
  }
}
Fields
userInterestDisplayName

string

Output only. The display name of the interest, for example "Outdoor Enthusiasts".

userInterestPath

string

Output only. The category path of the interest.

userInterestType

string

Output only. The type of audience, e.g., "AFFINITY", "IN_MARKET".

userInterest

object (UserInterest)

Output only. The identifier for the user interest.

The [productCategory][] specified in the request dictates the field populated in the object.

  • [userInterestCategory][] is populated for "Youtube".
  • [userInterestUserList][] is populated for "Open Auction".

UserInterest

The identifier for a user interest.

JSON representation
{
  "userInterestCategory": string,
  "userInterestUserList": string
}
Fields
userInterestCategory

string

Output only. The resource name of the interest category. Populated when productCategory is "Youtube". Format: customers/{customerId}/userInterests/{user_interest_id}

userInterestUserList

string

Output only. The resource name of the user list. Populated when productCategory is "Open Auction". Format: customers/{customerId}/userLists/{user_list_id}